(function($, owner) {
	
	//支持字符串 endWith 函数
	String.prototype.endWith=function(str){
		if(str==null||str==""||this.length==0||str.length>this.length)
		  return false;
		if(this.substring(this.length-str.length)==str)
		  return true;
		else
		  return false;
		return true;
	}
	
	// 对Date的扩展，将 Date 转化为指定格式的String
	// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
	// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
	// 例子： 
	// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
	// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
	Date.prototype.Format = function (fmt) { //author: meizz 
	    var o = {
	        "M+": this.getMonth() + 1, //月份 
	        "d+": this.getDate(), //日 
	        "h+": this.getHours(), //小时 
	        "m+": this.getMinutes(), //分 
	        "s+": this.getSeconds(), //秒 
	        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
	        "S": this.getMilliseconds() //毫秒 
	    };
	    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	    for (var k in o)
	    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
	    return fmt;
	}
	
	//全局配置(通常所有页面引用该配置，特殊页面使用mui.init({})来覆盖全局配置)
	$.initGlobal({
		//整个UI里右滑后退
		swipeBack: false
	});
	
	//用到的int最大长度，服务器 int ID 长度是 11 位
	owner.MaxInt = 20000000000;
	
	//图片路径
	owner.ImageUrl = "http://www.ibaiwan.cn/dynamic/";
	
	//帖子 ID->内容列表
	owner.statusIdList = [];
	
	//当前用户
	owner.currentUser = null;
	
	
	owner.hasClass = function(obj, cls) {
        return obj.className.match(new RegExp('(\\s|^)' + cls + '(\\s|$)'));
    }

    owner.addClass = function(obj, cls) {
        if (!owner.hasClass(obj, cls)) obj.className += " " + cls;
    }

    owner.removeClass = function(obj, cls) {
        if (owner.hasClass(obj, cls)) {
            var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
            obj.className = obj.className.replace(reg, ' ');
        }
    }

	owner.templates = {};
	owner.getTemplate = function(name, header, content) {
		var template = owner.templates[name];
		if (!template) {
			//目前只有一个 template 模板
			
			//预加载共用父模板；
			var headerWebview = mui.preload({
				url: header,
				id: name + "-main",
				styles: {
					popGesture: "hide",
				},
				extras: {
					mType: 'main'
				}
			});
			//预加载共用子webview
			var subWebview = mui.preload({
				url: !content ? "" : content,
				id: name + "-sub",
				styles: {
					top: '45px',
					bottom: '0px',
				},
				extras: {
					mType: 'sub'
				}
			});
			subWebview.addEventListener('loaded', function() {
				setTimeout(function() {
					subWebview.show();
				}, 50);
			});
			subWebview.hide();
			headerWebview.append(subWebview);
			//iOS平台支持侧滑关闭，父窗体侧滑隐藏后，同时需要隐藏子窗体；
			if (mui.os.ios) { //5+父窗体隐藏，子窗体还可以看到？不符合逻辑吧？
				headerWebview.addEventListener('hide', function() {
					subWebview.hide("none");
				});
			}
			app.templates[name] = template = {
				name: name,
				header: headerWebview,
				content: subWebview,
			};
		}
		return template;
	};
	
//	var initTemplates = function() {
//		getTemplate('default', 'activity/template.html');
//	};
	
	//打开一个模板页面
	owner.openTemplate = function(templateUrl, title, href)
	{
		//获得共用模板组
		var template = app.getTemplate('default', templateUrl);
		//获得共用父模板
		var headerWebview = template.header;
		//获得共用子webview
		var contentWebview = template.content;

		var reload = true;
		if (!template.loaded) {
			var url = contentWebview.getURL();
			if ((url == null) || (!url.endWith(href)))
			{
				contentWebview.loadURL(href);
			}
			else
			{
				reload = false;
			}
		} else {
			reload = false;
		}
		(!reload) && contentWebview.show();
		
		setTimeout(function()
		{
			//通知模板修改标题，并显示隐藏右上角图标；
			mui.fire(headerWebview, 'updateHeader', {
				title: title
			});
		},500);
		//通知模板修改标题，并显示隐藏右上角图标；
		mui.fire(headerWebview, 'updateHeader', {
			title: title
		});
		
		headerWebview.show("pop-in", 150);
		
		return template;
	}

	
	owner.last_update = null;
	
	//检查点击时间间隔
	owner.checkUpdate = function()
	{
//		//屏蔽冗余刷新
//		if(owner.last_update == null)
//		{
//			owner.last_update = new Date().getTime();
//		}
//		else
//		{
//			var new_update = new Date().getTime();
//			
//			if(new_update - owner.last_update < 500)
//			{
//				return false;
//			}
//			
//			owner.last_update = new_update;
//		}
  		
  		return true;
	}
	
	//检查点击时间间隔 500毫秒
	owner.checkUpdate500 = function()
	{
		//屏蔽冗余刷新
		if(owner.last_update == null)
		{
			owner.last_update = new Date().getTime();
		}
		else
		{
			var new_update = new Date().getTime();
			
			if(new_update - owner.last_update < 500)
			{
				return false;
			}
			
			owner.last_update = new_update;
		}
  		
  		return true;
	}
	
	//删除一个容器下所有子对象
	owner.removeAllChild = function(table_parent) {
		if(!table_parent)
		{
			return;
		}
		while (table_parent.firstChild) {
		    table_parent.removeChild(table_parent.firstChild);
		}
		/*
		if(table_parent != null && table_parent.childNodes != null)
		{
	  		for (var i=0;i<table_parent.childNodes.length;i++){
				var childNode = table_parent.childNodes[0];
				table_parent.removeChild(childNode);
			}
		}*/
	}
	
	//获取头像
	owner.getAvatarUrl = function(avatar, avatarSize) {
        if (avatar != null) {
            if(avatarSize == null)
            {
            	return [owner.ImageUrl, avatar.substring(0, 2), "/", avatar.substring(2, 4), "/", avatar, ".jpg"].join("");
            }
            else
            {
            	return [owner.ImageUrl, avatar.substring(0, 2), "/", avatar.substring(2, 4), "/", avatar, "_", avatarSize, ".jpg"].join("");
            }
        } else {
            return "";
        }
    }
	
	//设置cookie
    owner.setCookie = function(cookieName,cookieValue,cookieExpires,cookiePath)  
    {  
        cookieValue = escape(cookieValue);//编码latin-1  
        if(cookieExpires=="")  
        {
            var nowDate = new Date();  
            nowDate.setMonth(nowDate.getMonth()+6);  
            cookieExpires = nowDate.toGMTString();  
        }  
        if(cookiePath!="")  
        {  
            cookiePath = ";Path="+cookiePath;  
        }  
        document.cookie= cookieName+"="+cookieValue+";expires="+cookieExpires+cookiePath;  
    }
    
    //获取cookie
    owner.getCookie = function(cookieName)  
    {  
        var cookieValue = document.cookie;  
        var cookieStartAt = cookieValue.indexOf(""+cookieName+"=");  
        if(cookieStartAt==-1)  
        {  
            cookieStartAt = cookieValue.indexOf(cookieName+"=");  
        }  
        if(cookieStartAt==-1)  
        {  
            cookieValue = null;  
        }  
        else  
        {  
            cookieStartAt = cookieValue.indexOf("=",cookieStartAt)+1;  
            cookieEndAt = cookieValue.indexOf(";",cookieStartAt);  
            if(cookieEndAt==-1)  
            {  
                cookieEndAt = cookieValue.length;  
            }  
            cookieValue = unescape(cookieValue.substring(cookieStartAt,cookieEndAt));//解码latin-1  
        }  
        return cookieValue;  
    }
    
    
    owner.onserverstr = function(api, arg, callback) {
		arg.app_id = 5;
		
        //成功响应的回调函数
        var success = function(response) {
			callback(response);
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/'+api;
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    
//	    alert(JSON.stringify(arg));
	    
	    $.post(url, arg, success, dataType);
	};
    
	//登录方法
	owner.onserver = function(api, arg, callback) {
		arg.app_id = 5;
		
        //成功响应的回调函数
        var success = function(response) {
            //response = JSON.stringify(response);
            var rs = 0;
            if(response != null)
            {
				rs = response.result;
            }
            
			if(rs > 0)
			{
				callback(response["data"]);
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/'+api;
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    
//	    alert(JSON.stringify(arg));
	    
	    $.post(url, arg, success, dataType);
	};
    
    owner.favCreate = function(arg, callback)
    {
		arg.app_id = 5;
		
    	//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				callback(response["data"]);
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/favorites/create';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
    }
    
    owner.updateInfo = function(arg, callback)
    {
		arg.app_id = 5;
		
    	//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				callback(response["data"]);
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/user/UpUserInfo';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
    }
    owner.commentsShow = function(arg, callback)
    {
		arg.app_id = 5;
		
    	//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				callback(response["data"]);
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/comments/show';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
    }
    //添加计划任务
	owner.addPlan = function(arg, callback){
		arg.app_id = 5;
		
		//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				//当前用户对象
				callback(response["data"]);
				//将用户名密码存储到本地
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/scheduled/Create';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    
//	    alert([JSON.stringify(arg), url]);
	    
	    //发送数据
	    $.post(url, arg, success, dataType);
	}
    //删除计划任务
    owner.removePlan = function(arg, callback){
		arg.app_id = 5;
		
		//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				//当前用户对象
				callback(response["data"]);
				//将用户名密码存储到本地
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/scheduled/Destroy';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
	}
    
	owner.getPlanList = function(arg, callback){
		arg.app_id = 5;
		
		//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				//当前用户对象
				callback(response["data"]);
				//将用户名密码存储到本地
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/scheduled/List';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
	}
	   
	owner.getReadList = function(arg, callback){
		arg.app_id = 5;
		
		//成功响应的回调函数
        var success = function(response) {
        	
//			alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				//当前用户对象
				callback(response["data"]);
				//将用户名密码存储到本地
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/read';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
	}
    
	owner.getTimeLine = function(arg, callback){
		//成功响应的回调函数
        var success = function(response) {
        	
        	//alert(JSON.stringify(response.result));
			var rs = response.result;
			if(rs > 0)
			{
				//当前用户对象
				callback(response["data"]);
				//将用户名密码存储到本地
			}
			else
			{
				callback();
			}
        };
		arg.app_id = 5;
		
	    var url = 'http://www.ibaiwan.cn/moca/status/Friend_TimeLine';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
	}
	
	//登录方法
	owner.login = function(plus, loginInfo, callback) {
		
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		var users = JSON.parse(localStorage.getItem('$users') || '[]');
		var authed = users.some(function(user) {
			return loginInfo.account == user.account && loginInfo.password == user.password;
		});
		if (authed) {
			var state = owner.getState();
			state.account = loginInfo.account;
			state.token = "token123456789";
			owner.setState(state);
			return callback();
		} else {
				
	        //成功响应的回调函数
	        var success = function(response) {
	            //response = JSON.stringify(response);
				//alert(response);
				//alert(response.result);
//				alert(JSON.stringify(response));
				var rs = Number(response.result);
				if(rs > 0)
				{
					//当前用户对象
					owner.currentUser = response["data"];
					
					
					if(loginInfo.account != "guest")
					{
						//判断登录限制
						owner.getLocalId(plus, loginInfo, callback);
					}
					else
					{
//						alert("setUser"+JSON.stringify(loginInfo));
						//游客需要写入身份，其他在 getLocalId 中写入身份信息
						owner.setUser(plus, loginInfo);

						callback();
					}
					
//					alert(JSON.stringify(loginInfo));
					//将用户名密码存储到本地
//					owner.setUser(plus, loginInfo);
//					localStorage.setItem('$login', JSON.stringify(loginInfo));
				}
				else
				{
					callback('用户名或密码错误');
				}
	        };
		
		    var url = 'http://www.ibaiwan.cn/moca/login/login';
		    //请求方式，默认为Get；
		    var type = "post";
		    //预期服务器范围的数据类型
		    var dataType = "json";
		    //发送数据
		    var data = {
		        nickname: loginInfo.account,
		        password: loginInfo.password,
		        app_id: 5,
		        os: plus.os.name
		    };
		    $.post(url, data, success, dataType);
		}
	};
	
	owner.register = function(arg, callback){
		//成功响应的回调函数
        var success = function(response) {
        	
			//alert(response.result);
			var rs = response.result;
			if(rs > 0)
			{
				//当前用户对象
				callback(response["data"]);
				//将用户名密码存储到本地
			}
			else
			{
				callback();
			}
        };
	
	    var url = 'http://www.ibaiwan.cn/moca/login/register';
	    //请求方式，默认为Get；
	    var type = "post";
	    //预期服务器范围的数据类型
	    var dataType = "json";
	    //发送数据
	    $.post(url, arg, success, dataType);
	}
	
	//注册方法
	owner.reg = function(plus, regInfo, callback) {
		callback = callback || $.noop;
		regInfo = regInfo || {};
		regInfo.account = regInfo.account || '';
		regInfo.password = regInfo.password || '';
		if (regInfo.account.length < 3) {
			return callback('用户名最短需要 3 个字符');
		}
		if (regInfo.password.length < 6) {
			return callback('密码最短需要 6 个字符');
		}
		
		localStorage.setItem('$login', JSON.stringify(regInfo));

		owner.register({nickname:regInfo.account, password:regInfo.password}, function(response)
		{
			var rs = response.result;
			if(rs > 0)
			{
				var users = JSON.parse(plus.storage.getItem('$users') || '[]');
				users.push(regInfo);
				plus.storage.setItem('$users', JSON.stringify(users));
				
				plus.storage.setItem('$user', JSON.stringify(regInfo));
				
				return callback();
			}
			return callback("注册失败");
		});
	};
	
	
	//读写问题回答的时间和正确的数量
	owner.getQuest = function() {
		var stateText = localStorage.getItem('$quest') || "{}";
		return JSON.parse(stateText);
	};
	owner.setQuest = function(state) {
		state = state || {};
		localStorage.setItem('$quest', JSON.stringify(state));
	};
	
	//获取本地唯一ID
	owner.getLocalId = function(plus, loginInfo, callback) {
		var localId = plus.storage.getItem('$local_id') || "";
		localId = localId.toString();
		var api = "kaoyan/localId";
		
		if((localId == null) || (localId.length < 1))
		{
			owner.onserver(api, {}, function(data) {
				if(data != null && data.toString().length > 0)
				{
					//本地绑定成功，写入本地缓存
					plus.storage.setItem('$local_id', data);
					owner.setUser(plus, loginInfo);
					callback();
				}
				else
				{
//					callback("绑定失败，最多只允许同时登录两个终端");
					plus.nativeUI.toast("绑定失败，最多只允许同时登录两个终端");
//					//绑定失败，最多只允许两个终端
//					mui.openWindow({
//						url: '/login.html',
//						id: 'login'
//					});
				}
			});
		}
		else
		{
			owner.onserver(api, {id:localId}, function(data) {
				if(data != null && data.toString().length > 0)
				{
					//本地绑定成功
					plus.storage.setItem('$local_id', data);
					owner.setUser(plus, loginInfo);
					callback();
				}
				else
				{
//					callback("绑定失败，最多只允许同时登录两个终端");
					plus.nativeUI.toast("绑定失败，最多只允许同时登录两个终端");
//					//绑定失败，最多只允许两个终端
//					mui.openWindow({
//						url: '/login.html',
//						id: 'login'
//					});
				}
			});
		}
		
//		alert("localId:"+localId);
		return localId;
	};
	
	//获取当前用户，存储之前的用户名和密码
	owner.getUser = function(plus) {
		var stateText = plus.storage.getItem('$user') || "{}";
		return JSON.parse(stateText);
	};
	owner.setUser = function(plus, state) {
		state = state || {};
		plus.storage.setItem('$user', JSON.stringify(state));
	};

	//状态
	owner.getState = function() {
		var stateText = localStorage.getItem('$state') || "{}";
		return JSON.parse(stateText);
	};
	owner.setState = function(state) {
		state = state || {};
		localStorage.setItem('$state', JSON.stringify(state));
		var settings = owner.getSettings();
		settings.gestures = '';
		owner.setSettings(settings);
	};
	
	//个人设置
	owner.setSettings = function(settings) {
		settings = settings || {};
		localStorage.setItem('$settings', JSON.stringify(settings));
	}
	owner.getSettings = function() {
		var settingsText = localStorage.getItem('$settings') || "{}";
		return JSON.parse(settingsText);
	}
	
	var back = $.back;
	$.back = function() {
		var current = plus.webview.currentWebview();
		if (current.mType === 'main') { //模板主页面
			current.hide('auto');
			setTimeout(function() {
				document.getElementById("title").className = 'mui-title mui-fadeout';
				current.children()[0].hide("none");
			}, 200);
		} else if (current.mType === 'sub') {
			if ($.targets._popover) {
				$($.targets._popover).popover('hide');
			} else {
				current.parent().evalJS('mui&&mui.back();');
			}
		} else {
			back();
		}
	}
	
	
	
	
	
	
	/*
	  模拟 C#中的StringBuilder,提升JS中字符串拼接的效率及性能。
	  Author : Jeremy 
	  Date   : 2010-10-25
	*/
	/*
	//对象定义（构造函数)
	//参数：所有参数须为字符串形式.
	//当参数长度为1时，参数值将是字符串之间连接的分隔符
	//当参数长度大于1时，最后一位将是字符串之间的分隔符,其余的参数将是字符串值
	//当不指定参数时，分隔符默认为空白
	//也可以不指定分隔符，而在ToString中显式指定分隔符
	//如：var str = new StringBuilder(',')； 则在ToString时，将使用,号作为分隔符连接字符串
	// var str = new StringBuilder('a','b','c',','); 则在ToString时，将输出 'a,b,c'
	function StringBuilder()
	{
	    this._buffers = [];
	    this._length=0;
	    this._splitChar = arguments.length>0 ? arguments[arguments.length-1] : '';
	
	    if(arguments.length>0)
	    {
	        for(var i=0,iLen=arguments.length-1;i<iLen;i++)
	        {
	            this.append(arguments[i]);
	        }
	    }
	}
	
	//向对象中添加字符串
	//参数：一个字符串值
	StringBuilder.prototype.append=function(str)
	{        
	    this._length += str.length;
	    this._buffers[this._buffers.length] = str;
	}
	StringBuilder.prototype.add = StringBuilder.prototype.append;
	
	//向对象附加格式化的字符串
	//参数：参数一是预格式化的字符串，如：'{0} {1} {2}'
	//格式参数可以是数组，或对应长度的arguments,
	//参见示例
	StringBuilder.prototype.appendFormat=function()
	{
	     if(arguments.length>1)
	     {
	        var TString=arguments[0];
	        if(arguments[1] instanceof Array)
	        {
	            for(var i=0,iLen=arguments[1].length;i<iLen;i++)
	            {
	                var jIndex=i;
	                var re=eval("/\\{"+jIndex+"\\}/g;");
	                TString= TString.replace(re,arguments[1][i]);
	            }
	        }
	        else
	        {
	            for(var i=1,iLen=arguments.length;i<iLen;i++)
	            {
	                var jIndex=i-1;
	                var re=eval("/\\{"+jIndex+"\\}/g;");
	                TString= TString.replace(re,arguments[i]); 
	            }
	        }
	        this.append(TString);
	     }
	     else if(arguments.length==1)
	     {
	        this.append(arguments[0]);
	     }
	}
	
	//字符串长度（相当于ToString()后输出的字符串长度
	StringBuilder.prototype.length=function()
	{    
	    if(this._splitChar.length>0 && (!this.IsEmpty())) 
	    {
	        return  this._length + ( this._splitChar.length * ( this._buffers.length-1 ) ) ;
	    }
	    else
	    {
	        return this._length;
	    }
	}
	//字符串是否为空
	StringBuilder.prototype.isEmpty=function()
	{    
	    return this._buffers.length <= 0;
	}
	//清空
	StringBuilder.prototype.clear = function()
	{
	    this._buffers = [];
	    this._length=0;
	}
	//输出
	//参数：可以指定一个字符串（或单个字符），作为字符串拼接的分隔符
	StringBuilder.prototype.toString = function()
	{
	    if(arguments.length==1)
	    {
	        return this._buffers.join(arguments[1]);
	    }
	    else
	    {
	        return this._buffers.join(this._splitChar);
	    }
	}
	*/
})(mui, window.app = {});

/**
 * toggle
 */
window.addEventListener('toggle', function(event) {
	if (event.target.id === 'M_Toggle') {
		var isActive = event.detail.isActive;
		var table = document.querySelector('.mui-table-view');
		var card = document.querySelector('.mui-card');
		if (isActive) {
			card.appendChild(table);
			card.style.display = '';
		} else {
			var content = document.querySelector('.mui-content');
			content.insertBefore(table, card);
			card.style.display = 'none';
		}
	}
});

//示例：
/*
var sb = new StringBuilder('&&'); //指定&&为分隔符
alert(sb.Length());
sb.Append('hEllo');
sb.Append('wORLD');
alert(sb.ToString()); //将输出 hEllo&&wORLD
sb.Clear();   
sb.AppendFormat("Hello! {0} {1} {2}",['a','b','c']);
sb.AppendFormat("Today is {0}",['周一']);
alert(sb.ToString());  //将输出 Hello! a b c&&Today is 周一
sb.Clear();
sb.AppendFormat("Hello! {0} {1} {2}",'a','b','c');
sb.Append('World');
alert(sb.ToString('__')); //将输出 Hello! a b c__World
*/